Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class TimingEvent

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.TimingEvent

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class TimingEvent

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Timing Event', and utility methods for working with them. vocSet: D10706 (C-0-D10706-cpt)

See Also:
  `CDAR2Package.getTimingEvent()`

Field Summary
`static int` | `AC` The 'AC' literal value.
`static TimingEvent` | `AC_LITERAL` The 'AC' literal object.
`static int` | `ACD` The 'ACD' literal value.
`static TimingEvent` | `ACD_LITERAL` The 'ACD' literal object.
`static int` | `ACM` The 'ACM' literal value.
`static TimingEvent` | `ACM_LITERAL` The 'ACM' literal object.
`static int` | `ACV` The 'ACV' literal value.
`static TimingEvent` | `ACV_LITERAL` The 'ACV' literal object.
`static int` | `HS` The 'HS' literal value.
`static TimingEvent` | `HS_LITERAL` The 'HS' literal object.
`static int` | `IC` The 'IC' literal value.
`static TimingEvent` | `IC_LITERAL` The 'IC' literal object.
`static int` | `ICD` The 'ICD' literal value.
`static TimingEvent` | `ICD_LITERAL` The 'ICD' literal object.
`static int` | `ICM` The 'ICM' literal value.
`static TimingEvent` | `ICM_LITERAL` The 'ICM' literal object.
`static int` | `ICV` The 'ICV' literal value.
`static TimingEvent` | `ICV_LITERAL` The 'ICV' literal object.
`static int` | `PC` The 'PC' literal value.
`static TimingEvent` | `PC_LITERAL` The 'PC' literal object.
`static int` | `PCD` The 'PCD' literal value.
`static TimingEvent` | `PCD_LITERAL` The 'PCD' literal object.
`static int` | `PCM` The 'PCM' literal value.
`static TimingEvent` | `PCM_LITERAL` The 'PCM' literal object.
`static int` | `PCV` The 'PCV' literal value.
`static TimingEvent` | `PCV_LITERAL` The 'PCV' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Timing Event' enumerators.

Method Summary
`static TimingEvent` | `get(int value)` Returns the 'Timing Event' literal with the specified integer value.
`static TimingEvent` | `get(java.lang.String literal)` Returns the 'Timing Event' literal with the specified literal value.
`static TimingEvent` | `getByName(java.lang.String name)` Returns the 'Timing Event' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AC

    public static final int AC

  The 'AC' literal value.

  If the meaning of 'AC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AC_LITERAL`, Constant Field Values

### ACD

    public static final int ACD

  The 'ACD' literal value.

  If the meaning of 'ACD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACD_LITERAL`, Constant Field Values

### ACM

    public static final int ACM

  The 'ACM' literal value.

  If the meaning of 'ACM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACM_LITERAL`, Constant Field Values

### ACV

    public static final int ACV

  The 'ACV' literal value.

  If the meaning of 'ACV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACV_LITERAL`, Constant Field Values

### HS

    public static final int HS

  The 'HS' literal value.

  If the meaning of 'HS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HS_LITERAL`, Constant Field Values

### IC

    public static final int IC

  The 'IC' literal value.

  If the meaning of 'IC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IC_LITERAL`, Constant Field Values

### ICD

    public static final int ICD

  The 'ICD' literal value.

  If the meaning of 'ICD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ICD_LITERAL`, Constant Field Values

### ICM

    public static final int ICM

  The 'ICM' literal value.

  If the meaning of 'ICM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ICM_LITERAL`, Constant Field Values

### ICV

    public static final int ICV

  The 'ICV' literal value.

  If the meaning of 'ICV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ICV_LITERAL`, Constant Field Values

### PC

    public static final int PC

  The 'PC' literal value.

  If the meaning of 'PC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PC_LITERAL`, Constant Field Values

### PCD

    public static final int PCD

  The 'PCD' literal value.

  If the meaning of 'PCD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PCD_LITERAL`, Constant Field Values

### PCM

    public static final int PCM

  The 'PCM' literal value.

  If the meaning of 'PCM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PCM_LITERAL`, Constant Field Values

### PCV

    public static final int PCV

  The 'PCV' literal value.

  If the meaning of 'PCV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PCV_LITERAL`, Constant Field Values

### AC_LITERAL

    public static final TimingEvent AC_LITERAL

  The 'AC' literal object.

  See Also:
    `AC`

### ACD_LITERAL

    public static final TimingEvent ACD_LITERAL

  The 'ACD' literal object.

  See Also:
    `ACD`

### ACM_LITERAL

    public static final TimingEvent ACM_LITERAL

  The 'ACM' literal object.

  See Also:
    `ACM`

### ACV_LITERAL

    public static final TimingEvent ACV_LITERAL

  The 'ACV' literal object.

  See Also:
    `ACV`

### HS_LITERAL

    public static final TimingEvent HS_LITERAL

  The 'HS' literal object.

  See Also:
    `HS`

### IC_LITERAL

    public static final TimingEvent IC_LITERAL

  The 'IC' literal object.

  See Also:
    `IC`

### ICD_LITERAL

    public static final TimingEvent ICD_LITERAL

  The 'ICD' literal object.

  See Also:
    `ICD`

### ICM_LITERAL

    public static final TimingEvent ICM_LITERAL

  The 'ICM' literal object.

  See Also:
    `ICM`

### ICV_LITERAL

    public static final TimingEvent ICV_LITERAL

  The 'ICV' literal object.

  See Also:
    `ICV`

### PC_LITERAL

    public static final TimingEvent PC_LITERAL

  The 'PC' literal object.

  See Also:
    `PC`

### PCD_LITERAL

    public static final TimingEvent PCD_LITERAL

  The 'PCD' literal object.

  See Also:
    `PCD`

### PCM_LITERAL

    public static final TimingEvent PCM_LITERAL

  The 'PCM' literal object.

  See Also:
    `PCM`

### PCV_LITERAL

    public static final TimingEvent PCV_LITERAL

  The 'PCV' literal object.

  See Also:
    `PCV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Timing Event' enumerators.

Method Detail

### get

    public static TimingEvent get(java.lang.String literal)

  Returns the 'Timing Event' literal with the specified literal value.

### getByName

    public static TimingEvent getByName(java.lang.String name)

  Returns the 'Timing Event' literal with the specified name.

### get

    public static TimingEvent get(int value)

  Returns the 'Timing Event' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD